Skip to main content
POST
getBlocks
curl --request POST \
  --url 'https://mainnet.helius-rpc.com/?api-key=' \
  --header 'Content-Type: application/json' \
  --data '
{
  "jsonrpc": "2.0",
  "id": "1",
  "method": "getBlocks",
  "params": [
    5,
    10,
    {
      "commitment": "finalized"
    }
  ]
}
'
{
  "jsonrpc": "2.0",
  "id": "1",
  "result": [
    5,
    6,
    7,
    8,
    9,
    10
  ]
}

Documentation Index

Fetch the complete documentation index at: https://helius-add-sendbundle-api-docs.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Request Parameters

slot
number
required
Start slot (required).
slot
number
required
End slot (optional, must be โ‰ค 500,000 blocks from start slot).
commitment
string
default:"finalized"
The commitment level for the request.
  • confirmed
  • finalized

Authorizations

api-key
string
query
required

Your Helius API key. You can get one for free in the dashboard.

Body

application/json
jsonrpc
enum<string>
default:2.0
required

The JSON-RPC protocol version.

Available options:
2.0
Example:

"2.0"

id
string
default:1
required

A unique identifier for the request.

Example:

"1"

method
enum<string>
default:getBlocks
required

The name of the RPC method to invoke.

Available options:
getBlocks
Example:

"getBlocks"

params
integer ยท integer ยท object[]
required

Request parameters for the method.

Start slot (required).

Example:

5

Response

Successfully retrieved confirmed blocks.

jsonrpc
enum<string>
Available options:
2.0
Example:

"2.0"

id
string

Identifier matching the request.

Example:

"1"

result
integer[]

List of confirmed blocks between start_slot and end_slot.

Example:
[5, 6, 7, 8, 9, 10]